NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Layout2d.ReparentComponentBuilder Class Reference

Represents a Builder for Reparent 2D Component functionality which will reparents * the selected 2D Component contents from another 2D Component definition. More...

Inheritance diagram for NXOpen.Layout2d.ReparentComponentBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void AddComponents (NXOpen.Layout2d.Component[] components)
 Add a list of 2D Components More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.Layout2d.SelectComponentList 
Components [get]
 Returns the select 2D Components to reparent the definitions More...
 
unsafe bool CreateCopy [get, set]
 Returns or sets the flag to distinguish copy and cut operations More...
 
unsafe NXOpen.DisplayableObject Target [get, set]
 Returns or sets the target of 2D Components reparent operation More...
 

Detailed Description

Represents a Builder for Reparent 2D Component functionality which will reparents * the selected 2D Component contents from another 2D Component definition.

To create a new instance of this class, use NXOpen.Layout2d.ComponentCollection.CreateReparentComponentBuilder

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.Layout2d.ReparentComponentBuilder.AddComponents ( NXOpen.Layout2d.Component[]  components)

Add a list of 2D Components

Created in NX11.0.0

License requirements: None.

Parameters
components

Property Documentation

unsafe NXOpen.Layout2d.SelectComponentList NXOpen.Layout2d.ReparentComponentBuilder.Components
get

Returns the select 2D Components to reparent the definitions

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Layout2d.ReparentComponentBuilder.CreateCopy
getset

Returns or sets the flag to distinguish copy and cut operations

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.DisplayableObject NXOpen.Layout2d.ReparentComponentBuilder.Target
getset

Returns or sets the target of 2D Components reparent operation

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.